<template>
  <ul class="kit ourlinks list item desktopshow">
    <li class="item">
      <a
        target="_blank"
        href="https://vk.com/gisauto"
        @click.native="$ga('Vk','Click71')"
        class="link">
        <img
          svg-inline
          src="~/assets/svg/social/footer-vk.svg">
      </a>
    </li>
    <li class="item">
      <a
        target="_blank"
        href="https://ok.ru/gisautoru"
        @click.native="$ga('Ok','Click72')"
        class="link">
        <img
          svg-inline
          src="~/assets/svg/social/footer-ok.svg">
      </a>
    </li>
    <li class="item">
      <a
        target="_blank"
        href="https://www.instagram.com/gisauto.ru"
        @click.native="$ga('insta','Click73')"
        class="link">
        <img
          svg-inline
          src="~/assets/svg/social/footer-inst.svg">
      </a>
    </li>
    <li class="item">
      <a
        target="_blank"
        :href="`tg://resolve?domain=${$config.socials.telegram}`"
        rel="nofollow"
        @click.native="$ga('Telega','Click74')"
        class="link">
        <img
          svg-inline
          src="~/assets/svg/social/footer-telegram.svg">
      </a>
    </li>
  </ul>
</template>

<script>
export default {
  name: 'SocialList',
};
</script>

<style lang="scss" scoped>
  .kit.ourlinks.list {
    width: auto;
    padding: 0;
    margin: 0;
    list-style: none;
    display: flex;
    flex-flow: row nowrap;
    justify-content: center;
    align-items: center;
    position: relative;
    > .item {
      display: inline-flex;
      margin: 0 0.1875rem;
      > .link {
        display: inline-flex;
        justify-content: center;
        align-items: center;
        width: 24px;
        height: 24px;
        border-radius: 50%;
        background-color: transparent;
        cursor: pointer;
        transition: background-color 0.2s ease;
        svg {
          fill: #ffffff;
          width: 1rem;
          height: 1rem;
        }
        &:hover, &:active, &:focus {
          background-color: #707070;
        }
      }
    }
  }
</style>
